source: squid-ssl/trunk/fuentes/src/auth/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 23 months ago

Initial release

File size: 44.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/auth
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libacls_la_LIBADD =
162am_libacls_la_OBJECTS = Acl.lo AclMaxUserIp.lo AclProxyAuth.lo
163libacls_la_OBJECTS = $(am_libacls_la_OBJECTS)
164AM_V_lt = $(am__v_lt_@AM_V@)
165am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
166am__v_lt_0 = --silent
167am__v_lt_1 =
168am__DEPENDENCIES_1 =
169am_libauth_la_OBJECTS = Type.lo Config.lo CredentialState.lo \
170        Gadgets.lo Scheme.lo State.lo User.lo UserRequest.lo
171libauth_la_OBJECTS = $(am_libauth_la_OBJECTS)
172AM_V_P = $(am__v_P_@AM_V@)
173am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
174am__v_P_0 = false
175am__v_P_1 = :
176AM_V_GEN = $(am__v_GEN_@AM_V@)
177am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
178am__v_GEN_0 = @echo "  GEN     " $@;
179am__v_GEN_1 =
180AM_V_at = $(am__v_at_@AM_V@)
181am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
182am__v_at_0 = @
183am__v_at_1 =
184DEFAULT_INCLUDES =
185depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
186am__depfiles_maybe = depfiles
187am__mv = mv -f
188CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
190LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
191        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
192        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
193        $(AM_CXXFLAGS) $(CXXFLAGS)
194AM_V_CXX = $(am__v_CXX_@AM_V@)
195am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
196am__v_CXX_0 = @echo "  CXX     " $@;
197am__v_CXX_1 =
198CXXLD = $(CXX)
199CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
200        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
201        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
202AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
203am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
204am__v_CXXLD_0 = @echo "  CXXLD   " $@;
205am__v_CXXLD_1 =
206COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
207        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
208LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
210        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
211        $(AM_CFLAGS) $(CFLAGS)
212AM_V_CC = $(am__v_CC_@AM_V@)
213am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
214am__v_CC_0 = @echo "  CC      " $@;
215am__v_CC_1 =
216CCLD = $(CC)
217LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
218        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
219        $(AM_LDFLAGS) $(LDFLAGS) -o $@
220AM_V_CCLD = $(am__v_CCLD_@AM_V@)
221am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
222am__v_CCLD_0 = @echo "  CCLD    " $@;
223am__v_CCLD_1 =
224SOURCES = $(libacls_la_SOURCES) $(libauth_la_SOURCES)
225DIST_SOURCES = $(libacls_la_SOURCES) $(libauth_la_SOURCES)
226RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
227        ctags-recursive dvi-recursive html-recursive info-recursive \
228        install-data-recursive install-dvi-recursive \
229        install-exec-recursive install-html-recursive \
230        install-info-recursive install-pdf-recursive \
231        install-ps-recursive install-recursive installcheck-recursive \
232        installdirs-recursive pdf-recursive ps-recursive \
233        tags-recursive uninstall-recursive
234am__can_run_installinfo = \
235  case $$AM_UPDATE_INFO_DIR in \
236    n|no|NO) false;; \
237    *) (install-info --version) >/dev/null 2>&1;; \
238  esac
239RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
240  distclean-recursive maintainer-clean-recursive
241am__recursive_targets = \
242  $(RECURSIVE_TARGETS) \
243  $(RECURSIVE_CLEAN_TARGETS) \
244  $(am__extra_recursive_targets)
245AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
246        check recheck distdir
247am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
248# Read a list of newline-separated strings from the standard input,
249# and print each of them once, without duplicates.  Input order is
250# *not* preserved.
251am__uniquify_input = $(AWK) '\
252  BEGIN { nonempty = 0; } \
253  { items[$$0] = 1; nonempty = 1; } \
254  END { if (nonempty) { for (i in items) print i; }; } \
255'
256# Make sure the list of sources is unique.  This is necessary because,
257# e.g., the same source file might be shared among _SOURCES variables
258# for different programs/libraries.
259am__define_uniq_tagged_files = \
260  list='$(am__tagged_files)'; \
261  unique=`for i in $$list; do \
262    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263  done | $(am__uniquify_input)`
264ETAGS = etags
265CTAGS = ctags
266am__tty_colors_dummy = \
267  mgn= red= grn= lgn= blu= brg= std=; \
268  am__color_tests=no
269am__tty_colors = { \
270  $(am__tty_colors_dummy); \
271  if test "X$(AM_COLOR_TESTS)" = Xno; then \
272    am__color_tests=no; \
273  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
274    am__color_tests=yes; \
275  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
276    am__color_tests=yes; \
277  fi; \
278  if test $$am__color_tests = yes; then \
279    red='[0;31m'; \
280    grn='[0;32m'; \
281    lgn='[1;32m'; \
282    blu='[1;34m'; \
283    mgn='[0;35m'; \
284    brg='[1m'; \
285    std='[m'; \
286  fi; \
287}
288am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
289am__vpath_adj = case $$p in \
290    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
291    *) f=$$p;; \
292  esac;
293am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
294am__install_max = 40
295am__nobase_strip_setup = \
296  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
297am__nobase_strip = \
298  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
299am__nobase_list = $(am__nobase_strip_setup); \
300  for p in $$list; do echo "$$p $$p"; done | \
301  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
302  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
303    if (++n[$$2] == $(am__install_max)) \
304      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
305    END { for (dir in files) print dir, files[dir] }'
306am__base_list = \
307  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
308  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
309am__uninstall_files_from_dir = { \
310  test -z "$$files" \
311    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
312    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
313         $(am__cd) "$$dir" && rm -f $$files; }; \
314  }
315am__recheck_rx = ^[     ]*:recheck:[    ]*
316am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
317am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
318# A command that, given a newline-separated list of test names on the
319# standard input, print the name of the tests that are to be re-run
320# upon "make recheck".
321am__list_recheck_tests = $(AWK) '{ \
322  recheck = 1; \
323  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
324    { \
325      if (rc < 0) \
326        { \
327          if ((getline line2 < ($$0 ".log")) < 0) \
328            recheck = 0; \
329          break; \
330        } \
331      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
332        { \
333          recheck = 0; \
334          break; \
335        } \
336      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
337        { \
338          break; \
339        } \
340    }; \
341  if (recheck) \
342    print $$0; \
343  close ($$0 ".trs"); \
344  close ($$0 ".log"); \
345}'
346# A command that, given a newline-separated list of test names on the
347# standard input, create the global log from their .trs and .log files.
348am__create_global_log = $(AWK) ' \
349function fatal(msg) \
350{ \
351  print "fatal: making $@: " msg | "cat >&2"; \
352  exit 1; \
353} \
354function rst_section(header) \
355{ \
356  print header; \
357  len = length(header); \
358  for (i = 1; i <= len; i = i + 1) \
359    printf "="; \
360  printf "\n\n"; \
361} \
362{ \
363  copy_in_global_log = 1; \
364  global_test_result = "RUN"; \
365  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
366    { \
367      if (rc < 0) \
368         fatal("failed to read from " $$0 ".trs"); \
369      if (line ~ /$(am__global_test_result_rx)/) \
370        { \
371          sub("$(am__global_test_result_rx)", "", line); \
372          sub("[        ]*$$", "", line); \
373          global_test_result = line; \
374        } \
375      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
376        copy_in_global_log = 0; \
377    }; \
378  if (copy_in_global_log) \
379    { \
380      rst_section(global_test_result ": " $$0); \
381      while ((rc = (getline line < ($$0 ".log"))) != 0) \
382      { \
383        if (rc < 0) \
384          fatal("failed to read from " $$0 ".log"); \
385        print line; \
386      }; \
387      printf "\n"; \
388    }; \
389  close ($$0 ".trs"); \
390  close ($$0 ".log"); \
391}'
392# Restructured Text title.
393am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
394# Solaris 10 'make', and several other traditional 'make' implementations,
395# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
396# by disabling -e (using the XSI extension "set +e") if it's set.
397am__sh_e_setup = case $$- in *e*) set +e;; esac
398# Default flags passed to test drivers.
399am__common_driver_flags = \
400  --color-tests "$$am__color_tests" \
401  --enable-hard-errors "$$am__enable_hard_errors" \
402  --expect-failure "$$am__expect_failure"
403# To be inserted before the command running the test.  Creates the
404# directory for the log if needed.  Stores in $dir the directory
405# containing $f, in $tst the test, in $log the log.  Executes the
406# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
407# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
408# will run the test scripts (or their associated LOG_COMPILER, if
409# thy have one).
410am__check_pre = \
411$(am__sh_e_setup);                                      \
412$(am__vpath_adj_setup) $(am__vpath_adj)                 \
413$(am__tty_colors);                                      \
414srcdir=$(srcdir); export srcdir;                        \
415case "$@" in                                            \
416  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
417    *) am__odir=.;;                                     \
418esac;                                                   \
419test "x$$am__odir" = x"." || test -d "$$am__odir"       \
420  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
421if test -f "./$$f"; then dir=./;                        \
422elif test -f "$$f"; then dir=;                          \
423else dir="$(srcdir)/"; fi;                              \
424tst=$$dir$$f; log='$@';                                 \
425if test -n '$(DISABLE_HARD_ERRORS)'; then               \
426  am__enable_hard_errors=no;                            \
427else                                                    \
428  am__enable_hard_errors=yes;                           \
429fi;                                                     \
430case " $(XFAIL_TESTS) " in                              \
431  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
432    am__expect_failure=yes;;                            \
433  *)                                                    \
434    am__expect_failure=no;;                             \
435esac;                                                   \
436$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
437# A shell command to get the names of the tests scripts with any registered
438# extension removed (i.e., equivalently, the names of the test logs, with
439# the '.log' extension removed).  The result is saved in the shell variable
440# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
441# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
442# since that might cause problem with VPATH rewrites for suffix-less tests.
443# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
444am__set_TESTS_bases = \
445  bases='$(TEST_LOGS)'; \
446  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
447  bases=`echo $$bases`
448RECHECK_LOGS = $(TEST_LOGS)
449TEST_SUITE_LOG = test-suite.log
450TEST_EXTENSIONS = @EXEEXT@ .test
451LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
453am__set_b = \
454  case '$@' in \
455    */*) \
456      case '$*' in \
457        */*) b='$*';; \
458          *) b=`echo '$@' | sed 's/\.log$$//'`; \
459       esac;; \
460    *) \
461      b='$*';; \
462  esac
463am__test_logs1 = $(TESTS:=.log)
464am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
465TEST_LOGS = $(am__test_logs2:.test.log=.log)
466TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
467TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
468        $(TEST_LOG_FLAGS)
469am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
470        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
471        $(top_srcdir)/src/TestHeaders.am
472DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
473am__relativize = \
474  dir0=`pwd`; \
475  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
476  sed_rest='s,^[^/]*/*,,'; \
477  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
478  sed_butlast='s,/*[^/]*$$,,'; \
479  while test -n "$$dir1"; do \
480    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
481    if test "$$first" != "."; then \
482      if test "$$first" = ".."; then \
483        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
484        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
485      else \
486        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
487        if test "$$first2" = "$$first"; then \
488          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
489        else \
490          dir2="../$$dir2"; \
491        fi; \
492        dir0="$$dir0"/"$$first"; \
493      fi; \
494    fi; \
495    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
496  done; \
497  reldir="$$dir2"
498ACLOCAL = @ACLOCAL@
499ADAPTATION_LIBS = @ADAPTATION_LIBS@
500ALLOCA = @ALLOCA@
501AMTAR = @AMTAR@
502AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
503AR = @AR@
504ARGZ_H = @ARGZ_H@
505AR_R = @AR_R@
506AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
507AUTH_MODULES = @AUTH_MODULES@
508AUTOCONF = @AUTOCONF@
509AUTOHEADER = @AUTOHEADER@
510AUTOMAKE = @AUTOMAKE@
511AWK = @AWK@
512BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
513BUILDCXX = @BUILDCXX@
514BUILDCXXFLAGS = @BUILDCXXFLAGS@
515BZR = @BZR@
516CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
517CC = @CC@
518CCDEPMODE = @CCDEPMODE@
519CFLAGS = @CFLAGS@
520CGIEXT = @CGIEXT@
521CHMOD = @CHMOD@
522CPP = @CPP@
523CPPFLAGS = @CPPFLAGS@
524CPPUNITCONFIG = @CPPUNITCONFIG@
525CRYPTLIB = @CRYPTLIB@
526CXX = @CXX@
527CXXCPP = @CXXCPP@
528CXXDEPMODE = @CXXDEPMODE@
529CXXFLAGS = @CXXFLAGS@
530CYGPATH_W = @CYGPATH_W@
531DEFAULT_HOSTS = @DEFAULT_HOSTS@
532DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
533DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
534DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
535DEFS = @DEFS@
536DEPDIR = @DEPDIR@
537DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
538DISK_LIBS = @DISK_LIBS@
539DISK_LINKOBJS = @DISK_LINKOBJS@
540DISK_MODULES = @DISK_MODULES@
541DISK_OS_LIBS = @DISK_OS_LIBS@
542DISK_PROGRAMS = @DISK_PROGRAMS@
543DLLTOOL = @DLLTOOL@
544DSYMUTIL = @DSYMUTIL@
545DUMPBIN = @DUMPBIN@
546ECAP_LIBS = @ECAP_LIBS@
547ECHO_C = @ECHO_C@
548ECHO_N = @ECHO_N@
549ECHO_T = @ECHO_T@
550EGREP = @EGREP@
551EPOLL_LIBS = @EPOLL_LIBS@
552EUILIB = @EUILIB@
553EXEEXT = @EXEEXT@
554EXPATLIB = @EXPATLIB@
555EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
556EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
557EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
558FALSE = @FALSE@
559FGREP = @FGREP@
560GREP = @GREP@
561HAVE_CXX11 = @HAVE_CXX11@
562ICAP_LIBS = @ICAP_LIBS@
563INCLTDL = @INCLTDL@
564INSTALL = @INSTALL@
565INSTALL_DATA = @INSTALL_DATA@
566INSTALL_PROGRAM = @INSTALL_PROGRAM@
567INSTALL_SCRIPT = @INSTALL_SCRIPT@
568INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
569KRB5INCS = @KRB5INCS@
570KRB5LIBS = @KRB5LIBS@
571LBERLIB = @LBERLIB@
572LD = @LD@
573LDAPLIB = @LDAPLIB@
574LDFLAGS = @LDFLAGS@
575LIBADD_DL = @LIBADD_DL@
576LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
577LIBADD_DLOPEN = @LIBADD_DLOPEN@
578LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
579LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
580LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
581LIBLTDL = @LIBLTDL@
582LIBOBJS = @LIBOBJS@
583LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
584LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
585LIBS = @LIBS@
586LIBSASL = @LIBSASL@
587LIBTOOL = @LIBTOOL@
588LIB_DB = @LIB_DB@
589LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
590LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
591LINUXDOC = @LINUXDOC@
592LIPO = @LIPO@
593LN = @LN@
594LN_S = @LN_S@
595LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
596LTDLDEPS = @LTDLDEPS@
597LTDLINCL = @LTDLINCL@
598LTDLOPEN = @LTDLOPEN@
599LTLIBOBJS = @LTLIBOBJS@
600LT_CONFIG_H = @LT_CONFIG_H@
601LT_DLLOADERS = @LT_DLLOADERS@
602LT_DLPREOPEN = @LT_DLPREOPEN@
603MAINT = @MAINT@
604MAKEINFO = @MAKEINFO@
605MANIFEST_TOOL = @MANIFEST_TOOL@
606MINGW_LIBS = @MINGW_LIBS@
607MKDIR = @MKDIR@
608MKDIR_P = @MKDIR_P@
609MV = @MV@
610NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
611NETTLELIB = @NETTLELIB@
612NM = @NM@
613NMEDIT = @NMEDIT@
614NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
615OBJDUMP = @OBJDUMP@
616OBJEXT = @OBJEXT@
617OTOOL = @OTOOL@
618OTOOL64 = @OTOOL64@
619PACKAGE = @PACKAGE@
620PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
621PACKAGE_NAME = @PACKAGE_NAME@
622PACKAGE_STRING = @PACKAGE_STRING@
623PACKAGE_TARNAME = @PACKAGE_TARNAME@
624PACKAGE_URL = @PACKAGE_URL@
625PACKAGE_VERSION = @PACKAGE_VERSION@
626PATH_SEPARATOR = @PATH_SEPARATOR@
627PERL = @PERL@
628PKG_CONFIG = @PKG_CONFIG@
629PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
630PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
631PO2HTML = @PO2HTML@
632PO2TEXT = @PO2TEXT@
633POD2MAN = @POD2MAN@
634RANLIB = @RANLIB@
635REGEXLIB = @REGEXLIB@
636REPL_LIBS = @REPL_LIBS@
637REPL_OBJS = @REPL_OBJS@
638REPL_POLICIES = @REPL_POLICIES@
639RM = @RM@
640SED = @SED@
641SET_MAKE = @SET_MAKE@
642SH = @SH@
643SHELL = @SHELL@
644SMBCLIENT = @SMBCLIENT@
645SNMPLIB = @SNMPLIB@
646SQUID_CFLAGS = @SQUID_CFLAGS@
647SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
648SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
649SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
650SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
651SSLLIB = @SSLLIB@
652STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
653STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
654STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
655STORE_TESTS = @STORE_TESTS@
656STRIP = @STRIP@
657TR = @TR@
658TRUE = @TRUE@
659URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
660VERSION = @VERSION@
661WBINFO = @WBINFO@
662WIN32_PSAPI = @WIN32_PSAPI@
663XMLLIB = @XMLLIB@
664XTRA_LIBS = @XTRA_LIBS@
665XTRA_OBJS = @XTRA_OBJS@
666abs_builddir = @abs_builddir@
667abs_srcdir = @abs_srcdir@
668abs_top_builddir = @abs_top_builddir@
669abs_top_srcdir = @abs_top_srcdir@
670ac_ct_AR = @ac_ct_AR@
671ac_ct_CC = @ac_ct_CC@
672ac_ct_CXX = @ac_ct_CXX@
673ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
674am__include = @am__include@
675am__leading_dot = @am__leading_dot@
676am__quote = @am__quote@
677am__tar = @am__tar@
678am__untar = @am__untar@
679bindir = @bindir@
680build = @build@
681build_alias = @build_alias@
682build_cpu = @build_cpu@
683build_os = @build_os@
684build_vendor = @build_vendor@
685builddir = @builddir@
686datadir = @datadir@
687datarootdir = @datarootdir@
688docdir = @docdir@
689dvidir = @dvidir@
690exec_prefix = @exec_prefix@
691host = @host@
692host_alias = @host_alias@
693host_cpu = @host_cpu@
694host_os = @host_os@
695host_vendor = @host_vendor@
696htmldir = @htmldir@
697includedir = @includedir@
698infodir = @infodir@
699install_sh = @install_sh@
700krb5_config = @krb5_config@
701libdir = @libdir@
702libexecdir = @libexecdir@
703localedir = @localedir@
704localstatedir = @localstatedir@
705ltdl_LIBOBJS = @ltdl_LIBOBJS@
706ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
707mandir = @mandir@
708mkdir_p = @mkdir_p@
709oldincludedir = @oldincludedir@
710pdfdir = @pdfdir@
711prefix = @prefix@
712program_transform_name = @program_transform_name@
713psdir = @psdir@
714runstatedir = @runstatedir@
715sbindir = @sbindir@
716sharedstatedir = @sharedstatedir@
717srcdir = @srcdir@
718subdirs = @subdirs@
719sys_symbol_underscore = @sys_symbol_underscore@
720sysconfdir = @sysconfdir@
721target_alias = @target_alias@
722top_build_prefix = @top_build_prefix@
723top_builddir = @top_builddir@
724top_srcdir = @top_srcdir@
725AM_CFLAGS = $(SQUID_CFLAGS)
726AM_CXXFLAGS = $(SQUID_CXXFLAGS)
727CLEANFILES = testHeaders CredentialState.cc Type.cc
728TESTS = testHeaders
729AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
730        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
731        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
732        $(am__append_1)
733@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
734@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
735COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
736subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
737SUBDIRS = $(AUTH_MODULES)
738DIST_SUBDIRS = basic digest negotiate ntlm
739noinst_LTLIBRARIES = libauth.la libacls.la
740libauth_la_SOURCES = \
741        Type.h \
742        Type.cc \
743        Config.cc \
744        Config.h \
745        CredentialState.cc \
746        CredentialState.h \
747        Gadgets.cc \
748        Gadgets.h \
749        QueueNode.h \
750        Scheme.cc \
751        Scheme.h \
752        State.h \
753        State.cc \
754        User.h \
755        User.cc \
756        UserRequest.h \
757        UserRequest.cc
758
759libauth_la_LIBADD = $(AUTH_LIBS_TO_BUILD)
760libauth_la_DEPENDENCIES = $(AUTH_LIBS_TO_BUILD)
761libacls_la_SOURCES = \
762        Acl.cc \
763        Acl.h \
764        \
765        AclMaxUserIp.cc \
766        AclMaxUserIp.h \
767        AclProxyAuth.cc \
768        AclProxyAuth.h \
769        AuthAclState.h
770
771all: all-recursive
772
773.SUFFIXES:
774.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
775$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
776        @for dep in $?; do \
777          case '$(am__configure_deps)' in \
778            *$$dep*) \
779              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
780                && { if test -f $@; then exit 0; else break; fi; }; \
781              exit 1;; \
782          esac; \
783        done; \
784        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/auth/Makefile'; \
785        $(am__cd) $(top_srcdir) && \
786          $(AUTOMAKE) --foreign src/auth/Makefile
787Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
788        @case '$?' in \
789          *config.status*) \
790            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
791          *) \
792            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
793            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
794        esac;
795$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
796
797$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
798        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
799
800$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
801        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
802$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
803        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
804$(am__aclocal_m4_deps):
805
806clean-noinstLTLIBRARIES:
807        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
808        @list='$(noinst_LTLIBRARIES)'; \
809        locs=`for p in $$list; do echo $$p; done | \
810              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
811              sort -u`; \
812        test -z "$$locs" || { \
813          echo rm -f $${locs}; \
814          rm -f $${locs}; \
815        }
816
817libacls.la: $(libacls_la_OBJECTS) $(libacls_la_DEPENDENCIES) $(EXTRA_libacls_la_DEPENDENCIES)
818        $(AM_V_CXXLD)$(CXXLINK)  $(libacls_la_OBJECTS) $(libacls_la_LIBADD) $(LIBS)
819
820libauth.la: $(libauth_la_OBJECTS) $(libauth_la_DEPENDENCIES) $(EXTRA_libauth_la_DEPENDENCIES)
821        $(AM_V_CXXLD)$(CXXLINK)  $(libauth_la_OBJECTS) $(libauth_la_LIBADD) $(LIBS)
822
823clean-checkPROGRAMS:
824        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
825        echo " rm -f" $$list; \
826        rm -f $$list || exit $$?; \
827        test -n "$(EXEEXT)" || exit 0; \
828        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
829        echo " rm -f" $$list; \
830        rm -f $$list
831
832mostlyclean-compile:
833        -rm -f *.$(OBJEXT)
834
835distclean-compile:
836        -rm -f *.tab.c
837
838@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Acl.Plo@am__quote@
839@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AclMaxUserIp.Plo@am__quote@
840@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AclProxyAuth.Plo@am__quote@
841@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Config.Plo@am__quote@
842@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CredentialState.Plo@am__quote@
843@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Gadgets.Plo@am__quote@
844@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Scheme.Plo@am__quote@
845@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/State.Plo@am__quote@
846@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Type.Plo@am__quote@
847@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/User.Plo@am__quote@
848@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserRequest.Plo@am__quote@
849
850.cc.o:
851@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
852@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
853@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
854@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
855@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
856@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
857
858.cc.obj:
859@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
860@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
861@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
862@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
863@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
865
866.cc.lo:
867@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
868@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
869@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
870@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
871@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
872@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
873
874mostlyclean-libtool:
875        -rm -f *.lo
876
877clean-libtool:
878        -rm -rf .libs _libs
879
880# This directory's subdirectories are mostly independent; you can cd
881# into them and run 'make' without going through this Makefile.
882# To change the values of 'make' variables: instead of editing Makefiles,
883# (1) if the variable is set in 'config.status', edit 'config.status'
884#     (which will cause the Makefiles to be regenerated when you run 'make');
885# (2) otherwise, pass the desired values on the 'make' command line.
886$(am__recursive_targets):
887        @fail=; \
888        if $(am__make_keepgoing); then \
889          failcom='fail=yes'; \
890        else \
891          failcom='exit 1'; \
892        fi; \
893        dot_seen=no; \
894        target=`echo $@ | sed s/-recursive//`; \
895        case "$@" in \
896          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
897          *) list='$(SUBDIRS)' ;; \
898        esac; \
899        for subdir in $$list; do \
900          echo "Making $$target in $$subdir"; \
901          if test "$$subdir" = "."; then \
902            dot_seen=yes; \
903            local_target="$$target-am"; \
904          else \
905            local_target="$$target"; \
906          fi; \
907          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
908          || eval $$failcom; \
909        done; \
910        if test "$$dot_seen" = "no"; then \
911          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
912        fi; test -z "$$fail"
913
914ID: $(am__tagged_files)
915        $(am__define_uniq_tagged_files); mkid -fID $$unique
916tags: tags-recursive
917TAGS: tags
918
919tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
920        set x; \
921        here=`pwd`; \
922        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
923          include_option=--etags-include; \
924          empty_fix=.; \
925        else \
926          include_option=--include; \
927          empty_fix=; \
928        fi; \
929        list='$(SUBDIRS)'; for subdir in $$list; do \
930          if test "$$subdir" = .; then :; else \
931            test ! -f $$subdir/TAGS || \
932              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
933          fi; \
934        done; \
935        $(am__define_uniq_tagged_files); \
936        shift; \
937        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
938          test -n "$$unique" || unique=$$empty_fix; \
939          if test $$# -gt 0; then \
940            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
941              "$$@" $$unique; \
942          else \
943            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
944              $$unique; \
945          fi; \
946        fi
947ctags: ctags-recursive
948
949CTAGS: ctags
950ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
951        $(am__define_uniq_tagged_files); \
952        test -z "$(CTAGS_ARGS)$$unique" \
953          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
954             $$unique
955
956GTAGS:
957        here=`$(am__cd) $(top_builddir) && pwd` \
958          && $(am__cd) $(top_srcdir) \
959          && gtags -i $(GTAGS_ARGS) "$$here"
960cscopelist: cscopelist-recursive
961
962cscopelist-am: $(am__tagged_files)
963        list='$(am__tagged_files)'; \
964        case "$(srcdir)" in \
965          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
966          *) sdir=$(subdir)/$(srcdir) ;; \
967        esac; \
968        for i in $$list; do \
969          if test -f "$$i"; then \
970            echo "$(subdir)/$$i"; \
971          else \
972            echo "$$sdir/$$i"; \
973          fi; \
974        done >> $(top_builddir)/cscope.files
975
976distclean-tags:
977        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
978
979# Recover from deleted '.trs' file; this should ensure that
980# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
981# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
982# to avoid problems with "make -n".
983.log.trs:
984        rm -f $< $@
985        $(MAKE) $(AM_MAKEFLAGS) $<
986
987# Leading 'am--fnord' is there to ensure the list of targets does not
988# expand to empty, as could happen e.g. with make check TESTS=''.
989am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
990am--force-recheck:
991        @:
992
993$(TEST_SUITE_LOG): $(TEST_LOGS)
994        @$(am__set_TESTS_bases); \
995        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
996        redo_bases=`for i in $$bases; do \
997                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
998                    done`; \
999        if test -n "$$redo_bases"; then \
1000          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1001          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1002          if $(am__make_dryrun); then :; else \
1003            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1004          fi; \
1005        fi; \
1006        if test -n "$$am__remaking_logs"; then \
1007          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1008               "recursion detected" >&2; \
1009        elif test -n "$$redo_logs"; then \
1010          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1011        fi; \
1012        if $(am__make_dryrun); then :; else \
1013          st=0;  \
1014          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1015          for i in $$redo_bases; do \
1016            test -f $$i.trs && test -r $$i.trs \
1017              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1018            test -f $$i.log && test -r $$i.log \
1019              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1020          done; \
1021          test $$st -eq 0 || exit 1; \
1022        fi
1023        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1024        ws='[   ]'; \
1025        results=`for b in $$bases; do echo $$b.trs; done`; \
1026        test -n "$$results" || results=/dev/null; \
1027        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1028        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1029        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1030        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1031        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1032        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1033        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1034        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1035          success=true; \
1036        else \
1037          success=false; \
1038        fi; \
1039        br='==================='; br=$$br$$br$$br$$br; \
1040        result_count () \
1041        { \
1042            if test x"$$1" = x"--maybe-color"; then \
1043              maybe_colorize=yes; \
1044            elif test x"$$1" = x"--no-color"; then \
1045              maybe_colorize=no; \
1046            else \
1047              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1048            fi; \
1049            shift; \
1050            desc=$$1 count=$$2; \
1051            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1052              color_start=$$3 color_end=$$std; \
1053            else \
1054              color_start= color_end=; \
1055            fi; \
1056            echo "$${color_start}# $$desc $$count$${color_end}"; \
1057        }; \
1058        create_testsuite_report () \
1059        { \
1060          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1061          result_count $$1 "PASS: " $$pass  "$$grn"; \
1062          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1063          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1064          result_count $$1 "FAIL: " $$fail  "$$red"; \
1065          result_count $$1 "XPASS:" $$xpass "$$red"; \
1066          result_count $$1 "ERROR:" $$error "$$mgn"; \
1067        }; \
1068        {                                                               \
1069          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1070            $(am__rst_title);                                           \
1071          create_testsuite_report --no-color;                           \
1072          echo;                                                         \
1073          echo ".. contents:: :depth: 2";                               \
1074          echo;                                                         \
1075          for b in $$bases; do echo $$b; done                           \
1076            | $(am__create_global_log);                                 \
1077        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1078        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1079        if $$success; then                                              \
1080          col="$$grn";                                                  \
1081         else                                                           \
1082          col="$$red";                                                  \
1083          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1084        fi;                                                             \
1085        echo "$${col}$$br$${std}";                                      \
1086        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1087        echo "$${col}$$br$${std}";                                      \
1088        create_testsuite_report --maybe-color;                          \
1089        echo "$$col$$br$$std";                                          \
1090        if $$success; then :; else                                      \
1091          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1092          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1093            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1094          fi;                                                           \
1095          echo "$$col$$br$$std";                                        \
1096        fi;                                                             \
1097        $$success || exit 1
1098
1099check-TESTS:
1100        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1101        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1102        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1103        @set +e; $(am__set_TESTS_bases); \
1104        log_list=`for i in $$bases; do echo $$i.log; done`; \
1105        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1106        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1107        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1108        exit $$?;
1109recheck: all $(check_PROGRAMS)
1110        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1111        @set +e; $(am__set_TESTS_bases); \
1112        bases=`for i in $$bases; do echo $$i; done \
1113                 | $(am__list_recheck_tests)` || exit 1; \
1114        log_list=`for i in $$bases; do echo $$i.log; done`; \
1115        log_list=`echo $$log_list`; \
1116        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1117                am__force_recheck=am--force-recheck \
1118                TEST_LOGS="$$log_list"; \
1119        exit $$?
1120testHeaders.log: testHeaders
1121        @p='testHeaders'; \
1122        b='testHeaders'; \
1123        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1124        --log-file $$b.log --trs-file $$b.trs \
1125        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1126        "$$tst" $(AM_TESTS_FD_REDIRECT)
1127.test.log:
1128        @p='$<'; \
1129        $(am__set_b); \
1130        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1131        --log-file $$b.log --trs-file $$b.trs \
1132        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1133        "$$tst" $(AM_TESTS_FD_REDIRECT)
1134@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1135@am__EXEEXT_TRUE@       @p='$<'; \
1136@am__EXEEXT_TRUE@       $(am__set_b); \
1137@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1138@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1139@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1140@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1141
1142distdir: $(DISTFILES)
1143        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1144        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1145        list='$(DISTFILES)'; \
1146          dist_files=`for file in $$list; do echo $$file; done | \
1147          sed -e "s|^$$srcdirstrip/||;t" \
1148              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1149        case $$dist_files in \
1150          */*) $(MKDIR_P) `echo "$$dist_files" | \
1151                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1152                           sort -u` ;; \
1153        esac; \
1154        for file in $$dist_files; do \
1155          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1156          if test -d $$d/$$file; then \
1157            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1158            if test -d "$(distdir)/$$file"; then \
1159              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1160            fi; \
1161            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1162              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1163              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1164            fi; \
1165            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1166          else \
1167            test -f "$(distdir)/$$file" \
1168            || cp -p $$d/$$file "$(distdir)/$$file" \
1169            || exit 1; \
1170          fi; \
1171        done
1172        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1173          if test "$$subdir" = .; then :; else \
1174            $(am__make_dryrun) \
1175              || test -d "$(distdir)/$$subdir" \
1176              || $(MKDIR_P) "$(distdir)/$$subdir" \
1177              || exit 1; \
1178            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1179            $(am__relativize); \
1180            new_distdir=$$reldir; \
1181            dir1=$$subdir; dir2="$(top_distdir)"; \
1182            $(am__relativize); \
1183            new_top_distdir=$$reldir; \
1184            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1185            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1186            ($(am__cd) $$subdir && \
1187              $(MAKE) $(AM_MAKEFLAGS) \
1188                top_distdir="$$new_top_distdir" \
1189                distdir="$$new_distdir" \
1190                am__remove_distdir=: \
1191                am__skip_length_check=: \
1192                am__skip_mode_fix=: \
1193                distdir) \
1194              || exit 1; \
1195          fi; \
1196        done
1197check-am: all-am
1198        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1199        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1200check: check-recursive
1201all-am: Makefile $(LTLIBRARIES)
1202installdirs: installdirs-recursive
1203installdirs-am:
1204install: install-recursive
1205install-exec: install-exec-recursive
1206install-data: install-data-recursive
1207uninstall: uninstall-recursive
1208
1209install-am: all-am
1210        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1211
1212installcheck: installcheck-recursive
1213install-strip:
1214        if test -z '$(STRIP)'; then \
1215          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1216            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1217              install; \
1218        else \
1219          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1220            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1221            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1222        fi
1223mostlyclean-generic:
1224        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1225        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1226        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1227
1228clean-generic:
1229        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1230
1231distclean-generic:
1232        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1233        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1234
1235maintainer-clean-generic:
1236        @echo "This command is intended for maintainers to use"
1237        @echo "it deletes files that may require special tools to rebuild."
1238clean: clean-recursive
1239
1240clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1241        clean-noinstLTLIBRARIES mostlyclean-am
1242
1243distclean: distclean-recursive
1244        -rm -rf ./$(DEPDIR)
1245        -rm -f Makefile
1246distclean-am: clean-am distclean-compile distclean-generic \
1247        distclean-tags
1248
1249dvi: dvi-recursive
1250
1251dvi-am:
1252
1253html: html-recursive
1254
1255html-am:
1256
1257info: info-recursive
1258
1259info-am:
1260
1261install-data-am:
1262
1263install-dvi: install-dvi-recursive
1264
1265install-dvi-am:
1266
1267install-exec-am:
1268
1269install-html: install-html-recursive
1270
1271install-html-am:
1272
1273install-info: install-info-recursive
1274
1275install-info-am:
1276
1277install-man:
1278
1279install-pdf: install-pdf-recursive
1280
1281install-pdf-am:
1282
1283install-ps: install-ps-recursive
1284
1285install-ps-am:
1286
1287installcheck-am:
1288
1289maintainer-clean: maintainer-clean-recursive
1290        -rm -rf ./$(DEPDIR)
1291        -rm -f Makefile
1292maintainer-clean-am: distclean-am maintainer-clean-generic
1293
1294mostlyclean: mostlyclean-recursive
1295
1296mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1297        mostlyclean-libtool
1298
1299pdf: pdf-recursive
1300
1301pdf-am:
1302
1303ps: ps-recursive
1304
1305ps-am:
1306
1307uninstall-am:
1308
1309.MAKE: $(am__recursive_targets) check-am install-am install-strip
1310
1311.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1312        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1313        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1314        ctags-am distclean distclean-compile distclean-generic \
1315        distclean-libtool distclean-tags distdir dvi dvi-am html \
1316        html-am info info-am install install-am install-data \
1317        install-data-am install-dvi install-dvi-am install-exec \
1318        install-exec-am install-html install-html-am install-info \
1319        install-info-am install-man install-pdf install-pdf-am \
1320        install-ps install-ps-am install-strip installcheck \
1321        installcheck-am installdirs installdirs-am maintainer-clean \
1322        maintainer-clean-generic mostlyclean mostlyclean-compile \
1323        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1324        recheck tags tags-am uninstall uninstall-am
1325
1326.PRECIOUS: Makefile
1327
1328
1329$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1330
1331testHeaders: $(srcdir)/*.h
1332        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1333
1334.PHONY: testHeaders
1335
1336CredentialState.cc: CredentialState.h $(top_srcdir)/src/mk-string-arrays.awk
1337        $(AWK) -f $(top_srcdir)/src/mk-string-arrays.awk < $(srcdir)/CredentialState.h > $@ || (rm -f $@ ; exit 1)
1338
1339Type.cc: Type.h $(top_srcdir)/src/mk-string-arrays.awk
1340        $(AWK) -f $(top_srcdir)/src/mk-string-arrays.awk < $(srcdir)/Type.h > $@ || (rm -f $@ ; exit 1)
1341
1342# Tell versions [3.59,3.63) of GNU make to not export all variables.
1343# Otherwise a system limit (for SysV at least) may be exceeded.
1344.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.